Package io.dapr.v1

# Class DaprProtos.SubtleUnwrapKeyRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>
io.dapr.v1.DaprProtos.SubtleUnwrapKeyRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.SubtleUnwrapKeyRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.SubtleUnwrapKeyRequest

public static final class DaprProtos.SubtleUnwrapKeyRequest.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder> implements DaprProtos.SubtleUnwrapKeyRequestOrBuilder

     SubtleUnwrapKeyRequest is the request for SubtleUnwrapKeyAlpha1.

Protobuf type `dapr.proto.runtime.v1.SubtleUnwrapKeyRequest`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubtleUnwrapKeyRequest`
`build()`
`DaprProtos.SubtleUnwrapKeyRequest`
`buildPartial()`
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`clear()`
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`clearAlgorithm()`
Algorithm to use, as in the JWA standard.
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`clearAssociatedData()`
Associated Data when using AEAD ciphers (optional).
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`clearComponentName()`
Name of the component
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`clearKeyName()`
Name (or name/version) of the key.
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`clearNonce()`
Nonce / initialization vector.
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`clearTag()`
Authentication tag.
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`clearWrappedKey()`
Wrapped key.
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`clone()`
`String`
`getAlgorithm()`
Algorithm to use, as in the JWA standard.
`com.google.protobuf.ByteString`
`getAlgorithmBytes()`
Algorithm to use, as in the JWA standard.
`com.google.protobuf.ByteString`
`getAssociatedData()`
Associated Data when using AEAD ciphers (optional).
`String`
`getComponentName()`
Name of the component
`com.google.protobuf.ByteString`
`getComponentNameBytes()`
Name of the component
`DaprProtos.SubtleUnwrapKeyRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getKeyName()`
Name (or name/version) of the key.
`com.google.protobuf.ByteString`
`getKeyNameBytes()`
Name (or name/version) of the key.
`com.google.protobuf.ByteString`
`getNonce()`
Nonce / initialization vector.
`com.google.protobuf.ByteString`
`getTag()`
Authentication tag.
`com.google.protobuf.ByteString`
`getWrappedKey()`
Wrapped key.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`mergeFrom(DaprProtos.SubtleUnwrapKeyRequest other)`
`final DaprProtos.SubtleUnwrapKeyRequest.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`setAlgorithm(String value)`
Algorithm to use, as in the JWA standard.
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`setAlgorithmBytes(com.google.protobuf.ByteString value)`
Algorithm to use, as in the JWA standard.
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`setAssociatedData(com.google.protobuf.ByteString value)`
Associated Data when using AEAD ciphers (optional).
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`setComponentName(String value)`
Name of the component
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`setComponentNameBytes(com.google.protobuf.ByteString value)`
Name of the component
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`setKeyName(String value)`
Name (or name/version) of the key.
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`setKeyNameBytes(com.google.protobuf.ByteString value)`
Name (or name/version) of the key.
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`setNonce(com.google.protobuf.ByteString value)`
Nonce / initialization vector.
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`setTag(com.google.protobuf.ByteString value)`
Authentication tag.
`final DaprProtos.SubtleUnwrapKeyRequest.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.SubtleUnwrapKeyRequest.Builder`
`setWrappedKey(com.google.protobuf.ByteString value)`
Wrapped key.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>`

### clear

public DaprProtos.SubtleUnwrapKeyRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>`

### getDefaultInstanceForType

public DaprProtos.SubtleUnwrapKeyRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.SubtleUnwrapKeyRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.SubtleUnwrapKeyRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.SubtleUnwrapKeyRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>`

### setField

public DaprProtos.SubtleUnwrapKeyRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>`

### clearField

public DaprProtos.SubtleUnwrapKeyRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>`

### clearOneof

public DaprProtos.SubtleUnwrapKeyRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>`

### setRepeatedField

public DaprProtos.SubtleUnwrapKeyRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>`

### addRepeatedField

public DaprProtos.SubtleUnwrapKeyRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>`

### mergeFrom

public DaprProtos.SubtleUnwrapKeyRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>`

### mergeFrom

public DaprProtos.SubtleUnwrapKeyRequest.Builder mergeFrom(DaprProtos.SubtleUnwrapKeyRequest other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>`

### mergeFrom

public DaprProtos.SubtleUnwrapKeyRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>`
Throws:
  `IOException`

### getComponentName

public String getComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Specified by:
  `getComponentName` in interface `DaprProtos.SubtleUnwrapKeyRequestOrBuilder`
Returns:
  The componentName.

### getComponentNameBytes

public com.google.protobuf.ByteString getComponentNameBytes()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Specified by:
  `getComponentNameBytes` in interface `DaprProtos.SubtleUnwrapKeyRequestOrBuilder`
Returns:
  The bytes for componentName.

### setComponentName

public DaprProtos.SubtleUnwrapKeyRequest.Builder setComponentName(String value)

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Parameters:
  `value` - The componentName to set.
Returns:
  This builder for chaining.

### clearComponentName

public DaprProtos.SubtleUnwrapKeyRequest.Builder clearComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  This builder for chaining.

### setComponentNameBytes

public DaprProtos.SubtleUnwrapKeyRequest.Builder setComponentNameBytes(com.google.protobuf.ByteString value)

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Parameters:
  `value` - The bytes for componentName to set.
Returns:
  This builder for chaining.

### getWrappedKey

public com.google.protobuf.ByteString getWrappedKey()

     Wrapped key.

`bytes wrapped_key = 2 [json_name = "wrappedKey"];`

Specified by:
  `getWrappedKey` in interface `DaprProtos.SubtleUnwrapKeyRequestOrBuilder`
Returns:
  The wrappedKey.

### setWrappedKey

public DaprProtos.SubtleUnwrapKeyRequest.Builder setWrappedKey(com.google.protobuf.ByteString value)

     Wrapped key.

`bytes wrapped_key = 2 [json_name = "wrappedKey"];`

Parameters:
  `value` - The wrappedKey to set.
Returns:
  This builder for chaining.

### clearWrappedKey

public DaprProtos.SubtleUnwrapKeyRequest.Builder clearWrappedKey()

     Wrapped key.

`bytes wrapped_key = 2 [json_name = "wrappedKey"];`

Returns:
  This builder for chaining.

### getAlgorithm

public String getAlgorithm()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Specified by:
  `getAlgorithm` in interface `DaprProtos.SubtleUnwrapKeyRequestOrBuilder`
Returns:
  The algorithm.

### getAlgorithmBytes

public com.google.protobuf.ByteString getAlgorithmBytes()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Specified by:
  `getAlgorithmBytes` in interface `DaprProtos.SubtleUnwrapKeyRequestOrBuilder`
Returns:
  The bytes for algorithm.

### setAlgorithm

public DaprProtos.SubtleUnwrapKeyRequest.Builder setAlgorithm(String value)

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Parameters:
  `value` - The algorithm to set.
Returns:
  This builder for chaining.

### clearAlgorithm

public DaprProtos.SubtleUnwrapKeyRequest.Builder clearAlgorithm()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Returns:
  This builder for chaining.

### setAlgorithmBytes

public DaprProtos.SubtleUnwrapKeyRequest.Builder setAlgorithmBytes(com.google.protobuf.ByteString value)

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Parameters:
  `value` - The bytes for algorithm to set.
Returns:
  This builder for chaining.

### getKeyName

public String getKeyName()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Specified by:
  `getKeyName` in interface `DaprProtos.SubtleUnwrapKeyRequestOrBuilder`
Returns:
  The keyName.

### getKeyNameBytes

public com.google.protobuf.ByteString getKeyNameBytes()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Specified by:
  `getKeyNameBytes` in interface `DaprProtos.SubtleUnwrapKeyRequestOrBuilder`
Returns:
  The bytes for keyName.

### setKeyName

public DaprProtos.SubtleUnwrapKeyRequest.Builder setKeyName(String value)

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Parameters:
  `value` - The keyName to set.
Returns:
  This builder for chaining.

### clearKeyName

public DaprProtos.SubtleUnwrapKeyRequest.Builder clearKeyName()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Returns:
  This builder for chaining.

### setKeyNameBytes

public DaprProtos.SubtleUnwrapKeyRequest.Builder setKeyNameBytes(com.google.protobuf.ByteString value)

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Parameters:
  `value` - The bytes for keyName to set.
Returns:
  This builder for chaining.

### getNonce

public com.google.protobuf.ByteString getNonce()

     Nonce / initialization vector.
     Ignored with asymmetric ciphers.

`bytes nonce = 5;`

Specified by:
  `getNonce` in interface `DaprProtos.SubtleUnwrapKeyRequestOrBuilder`
Returns:
  The nonce.

### setNonce

public DaprProtos.SubtleUnwrapKeyRequest.Builder setNonce(com.google.protobuf.ByteString value)

     Nonce / initialization vector.
     Ignored with asymmetric ciphers.

`bytes nonce = 5;`

Parameters:
  `value` - The nonce to set.
Returns:
  This builder for chaining.

### clearNonce

public DaprProtos.SubtleUnwrapKeyRequest.Builder clearNonce()

     Nonce / initialization vector.
     Ignored with asymmetric ciphers.

`bytes nonce = 5;`

Returns:
  This builder for chaining.

### getTag

public com.google.protobuf.ByteString getTag()

     Authentication tag.
     This is nil when not using an authenticated cipher.

`bytes tag = 6;`

Specified by:
  `getTag` in interface `DaprProtos.SubtleUnwrapKeyRequestOrBuilder`
Returns:
  The tag.

### setTag

public DaprProtos.SubtleUnwrapKeyRequest.Builder setTag(com.google.protobuf.ByteString value)

     Authentication tag.
     This is nil when not using an authenticated cipher.

`bytes tag = 6;`

Parameters:
  `value` - The tag to set.
Returns:
  This builder for chaining.

### clearTag

public DaprProtos.SubtleUnwrapKeyRequest.Builder clearTag()

     Authentication tag.
     This is nil when not using an authenticated cipher.

`bytes tag = 6;`

Returns:
  This builder for chaining.

### getAssociatedData

public com.google.protobuf.ByteString getAssociatedData()

     Associated Data when using AEAD ciphers (optional).

`bytes associated_data = 7 [json_name = "associatedData"];`

Specified by:
  `getAssociatedData` in interface `DaprProtos.SubtleUnwrapKeyRequestOrBuilder`
Returns:
  The associatedData.

### setAssociatedData

public DaprProtos.SubtleUnwrapKeyRequest.Builder setAssociatedData(com.google.protobuf.ByteString value)

     Associated Data when using AEAD ciphers (optional).

`bytes associated_data = 7 [json_name = "associatedData"];`

Parameters:
  `value` - The associatedData to set.
Returns:
  This builder for chaining.

### clearAssociatedData

public DaprProtos.SubtleUnwrapKeyRequest.Builder clearAssociatedData()

     Associated Data when using AEAD ciphers (optional).

`bytes associated_data = 7 [json_name = "associatedData"];`

Returns:
  This builder for chaining.

### setUnknownFields

public final DaprProtos.SubtleUnwrapKeyRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>`

### mergeUnknownFields

public final DaprProtos.SubtleUnwrapKeyRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleUnwrapKeyRequest.Builder>`